Bug 245486 - sqlite: undefined symbols dlsym,dlopen,dlclose
sqlite: undefined symbols dlsym,dlopen,dlclose
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-23 20:48 EDT by Rex Dieter
Modified: 2008-04-04 09:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 09:17:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-06-23 20:48:27 EDT
From failed qt4 build attempt:
http://koji.fedoraproject.org/koji/getfile?taskID=46532&name=build.log

g++ -c -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -Wall -W  -I../../../mkspecs/linux-g++ -I. -I. -o
sqlite.o sqlite.cpp
g++  -o sqlite sqlite.o     -lsqlite3
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../libsqlite3.so: undefined reference
to `dlsym'
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../libsqlite3.so: undefined reference
to `dlopen'
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../libsqlite3.so: undefined reference
to `dlclose'

I'll have more time to give this a closer look tomorrow.
Comment 1 Paul Nasrat 2007-06-24 05:15:59 EDT
sqlite in fedora is now built with the load extension, it looks as if only
/usr/bin/sqlite3 is linked against ldl but not libsqlite.so.3.  I'll investigate.
Comment 2 Paul Nasrat 2007-06-24 05:25:59 EDT
http://www.sqlite.org/cvstrac/tktview?tn=2124

Disable extension loading by default. At some point we should change the
configure script to detect the presence of dlopen() automatically and add the
appropriate library to the link. But that requires a working version of
autoconf, which I do not have. Ticket #2124. (By drh)

I'll fix the build script upstream, but disabling load for now.
Comment 3 Paul Nasrat 2007-06-24 05:29:04 EDT
sqlite-3.4.0-2.fc8 building so you can build qt4, I'll look at the upstream fix
after the weekend.
Comment 4 Rex Dieter 2007-06-25 08:09:27 EDT
Thanks, your fix(es) did the trick.
Comment 5 Red Hat Bugzilla 2007-08-21 01:34:54 EDT
User pnasrat@redhat.com's account has been closed
Comment 6 Bug Zapper 2008-04-04 08:51:37 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Rex Dieter 2008-04-04 09:17:07 EDT
confirmed fixed.

Note You need to log in before you can comment on or make changes to this bug.